Bug 1028512 - Rule editor shows rows starting with hash as comments
Rule editor shows rows starting with hash as comments
Status: ASSIGNED
Product: JBoss BRMS Platform 6
Classification: JBoss
Component: Eclipse Tooling (Show other bugs)
unspecified
Unspecified Unspecified
medium Severity low
: ---
: ---
Assigned To: Kris Verlaenen
Tomas David
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-08 10:59 EST by Tomas Schlosser
Modified: 2016-01-08 17:15 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Schlosser 2013-11-08 10:59:00 EST
Description of problem:
Although the '#' was not officially a comments sign, it is treated as such. This now collides with inline casts that use hash sign to separate field from the type it should be cast to.

Version-Release number of selected component (if applicable):
JBoss Drools Core 6.0.0.201308222359 and also master (2013-11-08)
Eclipse 4.3 (Kepler), JBDS 7.0.1.GA

Steps to Reproduce:
1. open drl file
2. add a # sign on some row

Actual results:
The rest of the row is marked as comment

Expected results:
nothing, # is a normal character

Additional info:
Comment 1 Lukáš Petrovický 2014-02-04 14:42:06 EST
QE considers this optional for 6.0.1.

Note You need to log in before you can comment on or make changes to this bug.